﻿using System;
using ThinkGeo.MapSuite;
//using ThinkGeo.MapSuite.Layers;
//using ThinkGeo.MapSuite.Styles;
//using ThinkGeo.MapSuite.WebForms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication_AircraftBlink
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Set the Map Unit. The reason for setting it to DecimalDegrees is that is what the shapefile’s unit of measure is inherently in.
                Map1.MapUnit = GeographyUnit.DecimalDegree;                

                LayerOverlay alayerOverlay = new LayerOverlay("AOverlay");
                ShapeFileFeatureLayer ashapeFileLayer = new ShapeFileFeatureLayer(@"C:\Data\MapData\Countries02.shp");
                ashapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;//WorldStreetsAreaStyles.Military();
                ashapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                alayerOverlay.Layers.Add(ashapeFileLayer);
                Map1.CustomOverlays.Add(alayerOverlay);
                alayerOverlay.IsVisible = true;

                LayerOverlay blayerOverlay = new LayerOverlay("BOverlay");
                ShapeFileFeatureLayer bshapeFileLayer = new ShapeFileFeatureLayer(@"C:\Data\MapData\Countries02.shp");
                bshapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country2;//WorldStreetsAreaStyles.Forest();
                bshapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                blayerOverlay.Layers.Add(bshapeFileLayer);
                Map1.CustomOverlays.Add(blayerOverlay);
                blayerOverlay.IsVisible = false;

                ashapeFileLayer.Open();
                Map1.CurrentExtent = ashapeFileLayer.GetBoundingBox();
            }
        }
    }
}